﻿@using Microsoft.AspNetCore.Authorization
@using Ngochau.Web.Authorization
@inject IAuthorizationService AuthorizationService
@{
    Layout = "~/Areas/Cpanel/Views/Shared/_Layout.cshtml";
    var resultCreate = await AuthorizationService.AuthorizeAsync(User, "SettingUser", Operations.Create);
    var resultUpdate = await AuthorizationService.AuthorizeAsync(User, "SettingUser", Operations.Update);
    var resultDelete = await AuthorizationService.AuthorizeAsync(User, "SettingUser", Operations.Delete);
}
@section Scripts{
    <script src="/lib/template-admin/ckeditor/ckeditor.js"></script>
    <script src="/controller/masterorder/masterorder.js" asp-append-version="true"></script>
}

    @section Styles{
    <link href="/lib/template-admin/ckeditor/skins/moono/editor.css" rel="stylesheet" />
    <style>
        .form-check {
            margin-bottom: 5px !important;
        }

        .form-check-input {
            cursor: pointer;
        }
    </style>
}
    <div class="container-fluid">
        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="card" style="margin-top:20px;">
                    <div class="card-body">
                        @{
                        if (resultCreate.Succeeded)
                        {
                                <a onclick="SaveMasterOrder()" class="btn btn-success"><i class="uil-plus-circle"></i>&nbsp; Lưu</a>
                            //<a id="submit-create-new" class="btn btn-outline-success"><i class="uil-plus-circle"></i>&nbsp; Lưu & thêm mới</a>
                            //<a id="submit-create-close" class="btn btn-outline-success"><i class="mdi mdi-window-close"></i>&nbsp; Lưu & Đóng</a>
                        }
                    }
                    <a href="/cpanel/masterorder/index" class="btn btn-outline-secondary"><i class="mdi mdi-window-close"></i>&nbsp; Đóng</a>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-6">
            <div class="card">
                <div class="card-body">
                    <h4 class="header-title">Thông tin đơn hàng</h4>
                    <p class="text-muted font-14">
                        Điền đầy đủ thông đơn hàng
                    </p>
                    <form class="needs-validation" id="frmProduct" novalidate>

                        <div class="form-group mb-2">
                            <div class="row">
                                <div class="col-md-4">
                                    <label for="txtPO" class="lh-38">PO <span style="color:red"> * </span></label>
                                </div>
                                <div class="col-md-8">
                                    <input type="text" id="txtPO" name="txtPO" class="form-control" placeholder="Mã đơn hàng" required />
                                    <input type="hidden" id="txtId" name="txtId" class="form-control" />
                                </div>
                            </div>
                        </div>
                        <div class="form-group mb-2">
                            <div class="row">
                                <div class="col-md-4">
                                    <label for="txtPOName" class="lh-38">Tên đơn hàng <span style="color:red"> * </span></label>
                                </div>
                                <div class="col-md-8">
                                    <input type="text"  id="txtPOName" name="txtPOName" class="form-control" placeholder="Tên đơn hàng" required />
                                </div>
                            </div>
                        </div>

                        <div class="form-group mb-2">
                            <div class="row">
                                <div class="col-md-4">
                                    <label for="ddlStatus" class="lh-38">Trạng thái đơn hàng <span style="color:red"> * </span></label>
                                </div>
                                <div class="col-md-8">
                                    <select class="form-select" id="ddlStatus" data-toggle="select2">
                                    </select>
                                </div>
                            </div>
                        </div>
                    </form>

                </div> <!-- end card-body -->
            </div>

        </div>

        <div class="col-lg-6">
            <div class="card">
                <div class="card-body">
                    <h4 class="header-title">Thông tin khách hàng</h4>
                    <p class="text-muted font-14">
                        Điền đầy đủ thông khách hàng
                    </p>
                    <form class="needs-validation" id="frmProduct" novalidate>

                        <div class="form-group mb-2">
                            <div class="row">
                                <div class="col-md-4">
                                    <label for="ddlCustomer" class="lh-38">Chọn khách hàng <span style="color:red"> * </span></label>
                                </div>
                                <div class="col-md-8">
                                    <select class="form-control col-lg-9" data-toggle="select2" id="ddlCustomer">
                                    </select>
                                </div>
                            </div>
                        </div>

                        <div class="form-group mb-2">
                            <div class="row">
                                <div class="col-md-4">
                                    <label for="ddlCustomerPhone" class="lh-38">Số điện thoại</label>
                                </div>
                                <div class="col-md-8">
                                    <input type="text" id="txtPhone" readonly name="ddlCustomerPhone" class="form-control" placeholder="Số điện thoại" required />
                                    <input type="hidden" id="txtCustomerDeposit" readonly name="txtCustomerDeposit" class="form-control" placeholder="Customer Deposit" required />
                                </div>
                            </div>
                        </div>

                        <div class="form-group mb-2">
                            <div class="row">
                                <div class="col-md-4">
                                    <label for="txtAddress" class="lh-38">Địa chỉ</label>
                                </div>
                                <div class="col-md-8">
                                    <input type="text" id="txtAddress" readonly name="txtAddress" class="form-control" placeholder="Địa chỉ" required />
                                </div>
                            </div>
                        </div>
                    </form>

                </div> <!-- end card-body -->
            </div>
        </div>

    </div>

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="row mb-2">
                        <div class="col-xl-6">
                        </div>
                        <div class="col-xl-6">
                            <div class="text-xl-end mt-xl-0 mt-2">
                            </div>
                        </div><!-- end col-->
                    </div>

                    <div class="table-responsive">
                        <table class="table table-centered table-nowrap mb-0" id="tblProducts">
                            <thead class="table-light">
                                <tr>
                                    <th>STT</th>
                                    <th>Mã - Tên Sản phẩm</th>
                                    <th>Mã Item</th>
                                    <th>Mã Màu</th>
                                    <th style="text-align:center">Số lượng</th>
                                    <th style="text-align:center">Đơn giá</th>
                                    <th style="text-align:center">CBM</th>
                                    <th>Deposit</th>
                                    <th style="text-align:center">Tổng tiền</th>
                                    <th style="text-align:center">Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                </tr>
                            </tbody>
                        </table>
                        <div class="box-money">
                            <div class="mb-1"><b>Tổng Deposit:</b> <span id="spanTotalDeposit"></span> </div>
                            <div><b>Tổng tiền:</b> <span id="spanTotalMoney"></span></div>
                        </div>
                        
                    </div>
                </div> <!-- end card-body-->
            </div> <!-- end card-->
        </div> <!-- end col -->
    </div>

    <div class="row" style="display:none">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="row mb-2">
                        <div class="col-xl-6">
                            <h4 class="header-title">Thông tin sản phẩm</h4>
                            <p class="text-muted font-14">
                                Điền đầy đủ thông tin sản phẩm đơn hàng
                            </p>
                        </div>
                        <div class="col-xl-6">
                            <div class="text-xl-end mt-xl-0 mt-2">
                                <a class="btn btn-primary mb-2 me-2" onclick="AddProductIntable()"><i class="uil-plus"></i> Add</a>
                            </div>
                        </div><!-- end col-->
                    </div>
                    <div class="row">
                        <div class="col-sm-6">

                            <div class="form-group mb-2">
                                <div class="row">
                                    <div class="col-md-4">
                                        <label for="txtCode" class="lh-38">SKU (Mã sản phẩm) <span style="color:red"> *</span></label>
                                    </div>
                                    <div class="col-md-8">
                                        <select class="form-control select2" id="ddlProducts" data-toggle="select2">
                                        </select>
                                        <input type="hidden" id="productName" />
                                        <input type="hidden" id="productCode" />
                                    </div>
                                </div>
                            </div>

                            <div class="form-group mb-2">
                                <div class="row">
                                    <div class="col-md-4">
                                        <label for="txtCode" class="lh-38">Item <span style="color:red"> *</span></label>
                                    </div>
                                    <div class="col-md-8">
                                        <select id="ddlItems" class="form-control select2" data-toggle="select2">
                                        </select>
                                        <input type="hidden" id="txtItemCode" />
                                    </div>
                                </div>
                            </div>

                            <div class="form-group mb-2">
                                <div class="row">
                                    <div class="col-md-4">
                                        <label for="txtPrice" class="lh-38">Đơn giá (Unit Price)</label>
                                    </div>
                                    <div class="col-md-8">
                                        <input type="text" readonly id="txtPrice" placeholder="0" class="form-control">
                                    </div>
                                </div>
                            </div>

                            <div class="form-group mb-2">
                                <div class="row">
                                    <div class="col-md-4">
                                        <label for="txtCBM" class="lh-38">Số khối (CBM)</label>
                                    </div>
                                    <div class="col-md-8">
                                        <input type="text" readonly id="txtCBM" placeholder="0" class="form-control">
                                    </div>
                                </div>
                            </div>


                        </div>

                        <div class="col-sm-6">

                            <div class="form-group mb-2">
                                <div class="row">
                                    <div class="col-md-4">
                                        <label for="txtQuantity" class="lh-38">Số lượng (Quantity) <span style="color:red"> *</span></label>
                                    </div>
                                    <div class="col-md-8">
                                        <input type="number" onkeyup="ParseText(this);" onblur="ParseText(this);" id="txtQuantity" placeholder="0" class="form-control">
                                    </div>
                                </div>
                            </div>

                            <div class="form-group mb-2">
                                <div class="row">
                                    <div class="col-md-4">
                                        <label for="txtCode" class="lh-38">Màu (Color) <span style="color:red"> *</span></label>
                                    </div>
                                    <div class="col-md-8">
                                        <select id="ddlColors" class="form-control select2" data-toggle="select2">
                                        </select>
                                        <input type="hidden" id="txtColorCode" />
                                    </div>
                                </div>
                            </div>

                            <div class="form-group mb-2" style="display:none">
                                <div class="row">
                                    <div class="col-md-4">
                                        <label for="ddlContainers" class="lh-38">Container (CTR)</label>
                                    </div>
                                    <div class="col-md-8">
                                        <select class="form-control select2" id="ddlContainers" data-toggle="select2">
                                        </select>
                                        <input type="hidden" id="txtContainerCode" />
                                    </div>
                                </div>
                            </div>

                            <div class="form-group mb-2">
                                <div class="row">
                                    <div class="col-md-4">
                                        <label for="txtDeposit" class="lh-38">Deposit</label>
                                    </div>
                                    <div class="col-md-8">
                                        <input type="text" id="txtDeposit" readonly placeholder="0" class="form-control">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div> <!-- end card-body-->
            </div> <!-- end card-->
        </div> <!-- end col -->
    </div>
</div>

<style>
    .search-box {
      position: relative;
      display: inline-block;
    }

    .search-results {
      position: absolute;
      top: 100%;
      left: 0;
      background-color: #f9f9f9;
      border: 1px solid #ddd;
      display: none;
      z-index: 999;
    }
    .search-results p  {
         padding: 10px;
        border-bottom: 1px dotted;
        margin:0;
        cursor:pointer;
    }

    .search-results p:last-child
    {
         border-bottom: none;
    }
</style>